#ifndef _CFTP_H_
#define _CFTP_H_

#include <WINDOWS.H>
//#include <IOSTREAM.H>
#pragma comment(lib, "wininet.lib")
#include<wininet.h>
#include <string>

class C_FTP_0
{
private :
	HINTERNET _hInternet;
	HINTERNET _ftpConnect;
	std::string _info;
	inline void _SetInfo(std::string text)
	{
		_info = text;
	}

public :
	C_FTP_0();
//	~C_FTP_0();

public :
	bool Pripojit();
	bool Odpojit();
	bool CopyFile(std::string pathFile, std::string nameFile);
	bool LoadFile(std::string pathFile, std::string nameFile);
	std::string GetInfo() const {return _info;}
	void SetInfo(std::string text) { _info = text; }
	
};

#endif //_CFTP_H_